Name:           ripgrep
Version:        13.0.0
Release:        %mkrel 2
Summary:        Recursively search directories for a regex pattern
Group:          Text tools
License:        Public Domain and MIT
URL:            https://github.com/BurntSushi/ripgrep/
Source0:        https://github.com/BurntSushi/ripgrep/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        ripgrep-cargo-vendor-%{version}.tar.xz
Source2:        cargo.config

# Use this script to get the vendor files after you've updated the version
# It will automatically download the source package and create the vendor
# file necessary to compile offline
# (kekepower) 2020-02-27
Source100:      pack-cargo-vendor.sh

BuildRequires:  cargo >= 1.52.1
BuildRequires:  pcre2-devel

%description
ripgrep is a line-oriented search tool that recursively searches your current
directory for a regex pattern. By default, ripgrep will respect your
.gitignore and automatically skip hidden files/directories and binary files.
ripgrep has first class support on Windows, macOS and Linux, with binary
downloads available for every release. ripgrep is similar to other popular
search tools like The Silver Searcher, ack and grep.

The command is "rg" (/usr/bin/rg).

%package bash-completion
Summary:       Bash completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description bash-completion
This is the BASH completion file for ripgrep

%package fish-completion
Summary:       Fish completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description fish-completion
This is the fish completion file for ripgrep

%package zsh-completion
Summary:       Zsh completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description zsh-completion
This is the zsh completion file for ripgrep

%prep
%autosetup

%__mkdir_p .cargo
cp %{S:2} .cargo/config
tar xf %{S:1}

%build
cargo build --release --features 'pcre2'

%install
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_datadir}/bash-completion/completions
%__mkdir_p %{buildroot}%{_datadir}/fish/vendor_completions.d
%__mkdir_p %{buildroot}%{_datadir}/zsh/site-functions
cp target/release/rg %{buildroot}%{_bindir}/
cp target/release/build/ripgrep-*/out/rg.fish %{buildroot}%{_datadir}/fish/vendor_completions.d
cp target/release/build/ripgrep-*/out/rg.bash %{buildroot}%{_datadir}/bash-completion/completions/rg
cp complete/_rg %{buildroot}%{_datadir}/zsh/site-functions/

%files
%license COPYING UNLICENSE LICENSE-MIT
%doc README.md FAQ.md GUIDE.md
%{_bindir}/rg

%files bash-completion
%{_datadir}/bash-completion/completions/rg

%files fish-completion
%{_datadir}/fish/vendor_completions.d/rg.fish

%files zsh-completion
%{_datadir}/zsh/site-functions/_rg


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 13.0.0-2.mga9
+ Revision: 1837870
- Mageia 9 Mass Rebuild

* Sat Jun 12 2021 kekepower <kekepower> 13.0.0-1.mga9
+ Revision: 1730533
- Update to version 13.0.0

* Tue Jun 09 2020 kekepower <kekepower> 12.1.1-1.mga8
+ Revision: 1591107
- Update to version 12.1.1
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat May 09 2020 kekepower <kekepower> 12.1.0-1.mga8
+ Revision: 1582362
- Update to version 12.1.0

* Mon Mar 30 2020 kekepower <kekepower> 12.0.1-1.mga8
+ Revision: 1562383
- Update to version 12.0.1
 o Don't emit spurious error messages in git repositories with submodules.

* Mon Mar 16 2020 kekepower <kekepower> 12.0.0-1.mga8
+ Revision: 1556922
- Update to version 12.0.0
- Added completions for bash, fish and zsh

* Thu Feb 27 2020 kekepower <kekepower> 11.0.2-2.mga8
+ Revision: 1551094
- Updated the License
- Include all the license files
- Enable pcre2 support

* Thu Feb 27 2020 kekepower <kekepower> 11.0.2-1.mga8
+ Revision: 1551087
- imported package ripgrep

